Bug 6634 - [UPDATE REQUEST] rygel 0.26.1 -> 0.28.2
: [UPDATE REQUEST] rygel 0.26.1 -> 0.28.2
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 20:54 MSK by Giovanni Mariani
Modified: 2016-02-16 14:24 MSK (History)
2 users (show)

See Also:
RPM Package: rygel
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
Log of the first start of rygel 0.26 (21.33 KB, text/plain)
2016-02-11 21:49 MSK, Giovanni Mariani
Details
Log of the first run of rygel 0.28.2 (10.55 KB, text/x-log)
2016-02-11 21:50 MSK, Giovanni Mariani
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Mariani 2016-01-25 20:54:55 MSK
New release for rygel: 0.28.2.
Comment 1 Giovanni Mariani 2016-01-25 20:56:04 MSK
Advisory: update rygel to release 0.28.2

Packages for Main:
https://abf.rosalinux.ru/build_lists/2620542
https://abf.rosalinux.ru/build_lists/2620543
Comment 2 Vladimir Potapov 2016-02-11 16:18:06 MSK
Do you check the application for run?
I see many-many errors in terminal...
Comment 3 Giovanni Mariani 2016-02-11 21:48:40 MSK
(In reply to comment #2)
> Do you check the application for run?
> I see many-many errors in terminal...
Yes, I did...
and found that:
1) there was a boatload of messages in terminal also with existing 0.26 package (see logs attached)
2) what changed was basically the messages printed (libmediaart vs MediaExport), not their substance (see below why)
3) the new release does not show the assertion failed messages that the older one shows.

The culprit: at the first start rygel starts filling its database of multimedia files to "serve" by looking in some dirs (spec in rygel.conf); while doing so it prints a message every time it finds a file format not supported or unknown, or a file failing some internal test: if you have a lot of files in the dirs searched, you could have also a lot of error messages.

So, IMO, this is not a real regression, nor is a sign of bad working.
Comment 4 Giovanni Mariani 2016-02-11 21:49:32 MSK
Created attachment 4386 [details]
Log of the first start of rygel 0.26
Comment 5 Giovanni Mariani 2016-02-11 21:50:10 MSK
Created attachment 4387 [details]
Log of the first run of rygel 0.28.2
Comment 6 Vladimir Potapov 2016-02-12 14:28:04 MSK
The update is sent to expanded testing
***************************************
Comment 7 Vladimir Potapov 2016-02-16 14:09:18 MSK
rygel-0.28.2-1
https://abf.rosalinux.ru/build_lists/2620542
https://abf.rosalinux.ru/build_lists/2620543
************************** Advisory *******************************
update rygel to release 0.28.2
*******************************************************************
QA Verified